%define vermajor 1
%define version %{vermajor}.2
%define libdir /%{_lib}
%define usrlibdir %{_prefix}/%{_lib}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Linux Key Management Utilities
Name: 		keyutils
Version: 	%{version}
Release: 	1
BuildArch:	i686
# The main package is GPLv2+ and -libs/-libs-devel are LGPLv2+
License: 	GPLv2+ and LGPLv2+
Group: 		System/Base
Url: 		http://people.redhat.com/~dhowells/keyutils/

Source0: 	http://people.redhat.com/~dhowells/keyutils/keyutils-%{version}.tar.bz2

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package libs
Summary: 	Key utilities library
Group: 		System/Base

%description libs
This package provides a wrapper library for the key management facility system
calls.

%package libs-devel
Summary: 	Development package for building linux key management utilities
Group: 		System/Base
Requires: 	keyutils-libs == %{version}-%{release}

%description libs-devel
This package provides headers and libraries for building key utilities.

%prep
%setup -q

%build
make \
	NO_ARLIB=1 \
	LIBDIR=%{libdir} \
	USRLIBDIR=%{usrlibdir} \
	RELEASE=.%{release} \
	NO_GLIBC_KEYERR=1 \
	CFLAGS="-Wall $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make \
	NO_ARLIB=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{libdir} \
	USRLIBDIR=%{usrlibdir} \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README LICENCE.GPL
/sbin/*
/bin/*
/usr/share/keyutils
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%config(noreplace) /etc/*

%files libs
%defattr(-,root,root,-)
%doc LICENCE.LGPL
%{libdir}/libkeyutils-%{version}.so
%{libdir}/libkeyutils.so.%{vermajor}

%files libs-devel
%defattr(-,root,root,-)
%{usrlibdir}/libkeyutils.so
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- initial CCux package release
